GET api/v2/lease/get?RequestDate={RequestDate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| RequestDate | string |
None. |
Body Parameters
None.
Response Information
Resource Description
ApiResponseNewOfListOfLeaseV2Dto| Name | Description | Type | Additional information |
|---|---|---|---|
| status | integer |
None. |
|
| message | string |
None. |
|
| data | Collection of LeaseV2Dto |
None. |
Response Formats
application/json, text/json
Sample:
{
"status": 1,
"message": "sample string 2",
"data": [
{
"providerId": "5fb8eae6-4104-42c6-b140-d0e386c12373",
"providerName": "sample string 1",
"liftleaseVehicleCount": 2,
"leaseStartDate": "2026-08-25T17:31:54.9635358+00:00",
"leaseEndDate": "2026-08-25T17:31:54.9635358+00:00",
"leaseAmount": 1.0,
"divisionID": "sample string 3"
},
{
"providerId": "5fb8eae6-4104-42c6-b140-d0e386c12373",
"providerName": "sample string 1",
"liftleaseVehicleCount": 2,
"leaseStartDate": "2026-08-25T17:31:54.9635358+00:00",
"leaseEndDate": "2026-08-25T17:31:54.9635358+00:00",
"leaseAmount": 1.0,
"divisionID": "sample string 3"
}
]
}
application/xml, text/xml
Sample:
<ApiResponseNewOfArrayOfLeaseV2DtoX7UxrhxG xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/OrionDAL.ApiModels.Version1">
<data xmlns:d2p1="http://schemas.datacontract.org/2004/07/OrionDAL.ApiModels.Contracts.Version1">
<d2p1:LeaseV2Dto>
<d2p1:DivisionID>sample string 3</d2p1:DivisionID>
<d2p1:LeaseAmount>1</d2p1:LeaseAmount>
<d2p1:LeaseEndDate>2026-08-25T17:31:54.9635358+00:00</d2p1:LeaseEndDate>
<d2p1:LeaseStartDate>2026-08-25T17:31:54.9635358+00:00</d2p1:LeaseStartDate>
<d2p1:LiftleaseVehicleCount>2</d2p1:LiftleaseVehicleCount>
<d2p1:ProviderId>5fb8eae6-4104-42c6-b140-d0e386c12373</d2p1:ProviderId>
<d2p1:ProviderName>sample string 1</d2p1:ProviderName>
</d2p1:LeaseV2Dto>
<d2p1:LeaseV2Dto>
<d2p1:DivisionID>sample string 3</d2p1:DivisionID>
<d2p1:LeaseAmount>1</d2p1:LeaseAmount>
<d2p1:LeaseEndDate>2026-08-25T17:31:54.9635358+00:00</d2p1:LeaseEndDate>
<d2p1:LeaseStartDate>2026-08-25T17:31:54.9635358+00:00</d2p1:LeaseStartDate>
<d2p1:LiftleaseVehicleCount>2</d2p1:LiftleaseVehicleCount>
<d2p1:ProviderId>5fb8eae6-4104-42c6-b140-d0e386c12373</d2p1:ProviderId>
<d2p1:ProviderName>sample string 1</d2p1:ProviderName>
</d2p1:LeaseV2Dto>
</data>
<message>sample string 2</message>
<status>1</status>
</ApiResponseNewOfArrayOfLeaseV2DtoX7UxrhxG>